/*
    buttons.css

    Version     07.10.2024
    Form        buttons
    Site        forster-online.com

*/

button {
    cursor: pointer;
    border: none;
    background: grey;
    color: white;
    font-size: 0.5em;
    padding: 0.8rem;
    border-radius: 0.4rem;
    transition: all 0.5s;
}

    button:hover {
        background: silver;
        font-size: 0.6em;
        color: black;
    }

.myButton {
    -moz-box-shadow: inset 0px 1px 8px 0px orange;
    -webkit-box-shadow: inset 0px 1px 8px 0px orange;
    box-shadow: inset 0px 1px 8px 0px white;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, #ffffff), color-stop(1, orange));
    background: -moz-linear-gradient(top, #ffffff 5%, orange 100%);
    background: -webkit-linear-gradient(top, #ffffff 5%, orange 100%);
    background: -o-linear-gradient(top, #ffffff 5%, orange 100%);
    background: -ms-linear-gradient(top, #ffffff 5%, orange 100%);
    background: linear-gradient(to bottom, #ffffff 5%, orange 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='gold', endColorstr='orange',GradientType=0);
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    display: inline-block;
    cursor: pointer;

    background-color: gold;
    border: 1px solid gold;

    color: black;
    font-size: 0.9em;
    font-weight: bold;
    padding: 3px 12px;
    text-decoration: none;
}

.myButton:hover {
        background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, yellow), color-stop(1, #ffffff));
        background: -moz-linear-gradient(top, yellow 5%, #ffffff 100%);
        background: -webkit-linear-gradient(top, yellow 5%, #ffffff 100%);
        background: -o-linear-gradient(top, yellow 5%, #ffffff 100%);
        background: -ms-linear-gradient(top, yellow 5%, #ffffff 100%);
        background: linear-gradient(to bottom, yellow 5%, #ffffff 100%);
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f6f6f6', endColorstr='#ffffff',GradientType=0);

        background-color: yellow;
    }

.myButton:active {
        position: relative;
        top: 1px;
    }

.myButtonC {
    -moz-box-shadow: inset 0px 1px 8px 0px orange;
    -webkit-box-shadow: inset 0px 1px 8px 0px orange;
    box-shadow: inset 0px 1px 8px 0px white;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, #ffffff), color-stop(1, orange));
    background: -moz-linear-gradient(top, #ffffff 5%, orange 100%);
    background: -webkit-linear-gradient(top, #ffffff 5%, orange 100%);
    background: -o-linear-gradient(top, #ffffff 5%, orange 100%);
    background: -ms-linear-gradient(top, #ffffff 5%, orange 100%);
    background: linear-gradient(to bottom, #ffffff 5%, orange 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='gold', endColorstr='orange',GradientType=0);
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    display: inline-block;
    cursor: pointer;
    background-color: gold;
    border: 1px solid gold;
    color: black;
    font-size: .7em;
    font-weight: normal;
    padding: 3px 3px;
    text-decoration: none;
    text-align: center;
}

    .myButtonC:hover {
        background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, yellow), color-stop(1, #ffffff));
        background: -moz-linear-gradient(top, yellow 5%, #ffffff 100%);
        background: -webkit-linear-gradient(top, yellow 5%, #ffffff 100%);
        background: -o-linear-gradient(top, yellow 5%, #ffffff 100%);
        background: -ms-linear-gradient(top, yellow 5%, #ffffff 100%);
        background: linear-gradient(to bottom, yellow 5%, #ffffff 100%);
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f6f6f6', endColorstr='#ffffff',GradientType=0);
        background-color: yellow;
    }

    .myButtonC:active {
        position: relative;
        top: 1px;
    }

.myLampButton {
    position: relative;
    top: 1px;
    img src="img/lamp_off.png" width=75px height=75px;
}

.myLampButton:Hover {
    position: relative;
    top: 1px;
    img src="img/lamp_ON.png" width=75px height=75px;
}

.mySelect {
    -moz-box-shadow: inset 0px 1px 8px 0px green;
    -webkit-box-shadow: inset 0px 1px 8px 0px green;
    box-shadow: inset 0px 1px 8px 0px white;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, green), color-stop(1, lightgreen));
    background: -moz-linear-gradient(top, green 5%, lightgreen 100%);
    background: -webkit-linear-gradient(top, green 5%, lightgreen 100%);
    background: -o-linear-gradient(top, green 5%, lightgreen 100%);
    background: -ms-linear-gradient(top, green 5%, lightgreen 100%);
    background: linear-gradient(to bottom, green 5%, lightgreen 100%);
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    display: inline-block;
    cursor: pointer;
    border: 1px solid green;
    background-color: lightgreen;
    color: black;
    font-size: 0.9em;
    font-weight: bold;
    padding: 3px 12px;
    text-decoration: none;
}

.mySelectC {
    -moz-box-shadow: inset 0px 1px 8px 0px green;
    -webkit-box-shadow: inset 0px 1px 8px 0px green;
    box-shadow: inset 0px 1px 8px 0px white;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, green), color-stop(1, lightgreen));
    background: -moz-linear-gradient(top, green 5%, lightgreen 100%);
    background: -webkit-linear-gradient(top, green 5%, lightgreen 100%);
    background: -o-linear-gradient(top, green 5%, lightgreen 100%);
    background: -ms-linear-gradient(top, green 5%, lightgreen 100%);
    background: linear-gradient(to bottom, green 5%, lightgreen 100%);
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    display: inline-block;
    cursor: pointer;
    border: 1px solid green;
    background-color: lightgreen;
    color: black;
    font-size: 0.7em;
    padding: 3px 3px;
    text-decoration: none;
    font-weight: normal;
    text-align: center;
}

.myButtonRed {
    -moz-box-shadow: inset 0px 1px 8px 0px indianred;
    -webkit-box-shadow: inset 0px 1px 8px 0px indianred;
    box-shadow: inset 0px 1px 8px 0px white;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, #ffffff), color-stop(1, indianred));
    background: -moz-linear-gradient(top, #ffffff 5%, indianred 100%);
    background: -webkit-linear-gradient(top, #ffffff 5%, indianred 100%);
    background: -o-linear-gradient(top, #ffffff 5%, indianred 100%);
    background: -ms-linear-gradient(top, #ffffff 5%, indianred 100%);
    background: linear-gradient(to bottom, #ffffff 5%, indianred 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='orange', endColorstr='indianred',GradientType=0);
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    display: inline-block;
    cursor: pointer;
    border: 1px solid blue;
    background-color: orange;
    color: black;
    font-size: 0.8em;
    font-weight: bold;
    padding: 3px 12px;
    text-decoration: none;
    color: black;
}

.myButtonRed:hover {
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, orange), color-stop(1, #ffffff));
    background: -moz-linear-gradient(top, orange 5%, #ffffff 100%);
    background: -webkit-linear-gradient(top, orange 5%, #ffffff 100%);
    background: -o-linear-gradient(top, orange 5%, #ffffff 100%);
    background: -ms-linear-gradient(top, orange 5%, #ffffff 100%);
    background: linear-gradient(to bottom, orange 5%, #ffffff 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='Red', endColorstr='#ffffff',GradientType=0);
    background-color: orange;
    color: black;
}

.myButtonRed:active {
        position: relative;
        top: 1px;
    }


.myButtonRedC {
    -moz-box-shadow: inset 0px 1px 8px 0px indianred;
    -webkit-box-shadow: inset 0px 1px 8px 0px indianred;
    box-shadow: inset 0px 1px 8px 0px white;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, #ffffff), color-stop(1, indianred));
    background: -moz-linear-gradient(top, #ffffff 5%, indianred 100%);
    background: -webkit-linear-gradient(top, #ffffff 5%, indianred 100%);
    background: -o-linear-gradient(top, #ffffff 5%, indianred 100%);
    background: -ms-linear-gradient(top, #ffffff 5%, indianred 100%);
    background: linear-gradient(to bottom, #ffffff 5%, indianred 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='orange', endColorstr='indianred',GradientType=0);
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    display: inline-block;
    cursor: pointer;
    border: 1px solid #afafaf;
    background-color: orange;
    color: black;
    font-size: 0.7em;
    font-weight: normal;
    text-align: center;
    padding: 3px 9px;
    text-decoration: none;
    color: black;
}

    .myButtonRedC:hover {
        background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, orange), color-stop(1, #ffffff));
        background: -moz-linear-gradient(top, orange 5%, #ffffff 100%);
        background: -webkit-linear-gradient(top, orange 5%, #ffffff 100%);
        background: -o-linear-gradient(top, orange 5%, #ffffff 100%);
        background: -ms-linear-gradient(top, orange 5%, #ffffff 100%);
        background: linear-gradient(to bottom, orange 5%, #ffffff 100%);
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='Red', endColorstr='#ffffff',GradientType=0);
        background-color: orange;
        color: black;
    }

    .myButtonRedC:active {
        position: relative;
        top: 1px;
    }

.myButtonBlue {
    -moz-box-shadow: inset 0px 1px 8px 0px skyblue;
    -webkit-box-shadow: inset 0px 1px 8px 0px skyblue;
    box-shadow: inset 0px 1px 8px 0px white;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, #ffffff), color-stop(1, skyblue));
    background: -moz-linear-gradient(top, #ffffff 5%, skyblue 100%);
    background: -webkit-linear-gradient(top, #ffffff 5%, skyblue 100%);
    background: -o-linear-gradient(top, #ffffff 5%, skyblue 100%);
    background: -ms-linear-gradient(top, #ffffff 5%, skyblue 100%);
    background: linear-gradient(to bottom, #ffffff 5%, skyblue 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='blue', endColorstr='skyblue',GradientType=0);
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    display: inline-block;
    cursor: pointer;
    border: 1px solid blue;
    background-color: lightblue;
    color: black;
    font-size: 0.9em;
    font-weight: bold;
    padding: 3px 12px;
    text-decoration: none;
}

    .myButtonBlue:hover {
        background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, lightblue), color-stop(1, #ffffff));
        background: -moz-linear-gradient(top, lightblue 5%, #ffffff 100%);
        background: -webkit-linear-gradient(top, lightblue 5%, #ffffff 100%);
        background: -o-linear-gradient(top, lightblue 5%, #ffffff 100%);
        background: -ms-linear-gradient(top, lightblue 5%, #ffffff 100%);
        background: linear-gradient(to bottom, lightblue 5%, #ffffff 100%);
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='blue', endColorstr='#ffffff',GradientType=0);
        background-color: lightblue;
    }

    .myButtonBlue:active {
        position: relative;
        top: 1px;
    }

.mySelectBlue {
    -moz-box-shadow: inset 0px 1px 8px 0px blue;
    -webkit-box-shadow: inset 0px 1px 8px 0px blue;
    box-shadow: inset 0px 1px 8px 0px white;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, green), color-stop(1, lightblue));
    background: -moz-linear-gradient(top, blue 5%, lightblue 100%);
    background: -webkit-linear-gradient(top, blue 5%, lightblue 100%);
    background: -o-linear-gradient(top, blue 5%, lightblue 100%);
    background: -ms-linear-gradient(top, blue 5%, lightblue 100%);
    background: linear-gradient(to bottom, blue 5%, lightblue 100%);
    background-color: lightblue;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    border: 1px solid blue;
    display: inline-block;
    cursor: pointer;
    color: black;
    font-size: 0.9em;
    font-weight: bold;
    padding: 3px 10px;
    text-decoration: none;
}

.myButtonFritzBlue {
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    display: inline-block;
    cursor: pointer;
    border: 0px transparent none;
    background-color: #3030ff;
    color: white;
    font-size: .9em;
    font-weight: normal;
    padding: 3px 12px;
    text-decoration: none;
}

.myButtonFritzLight {
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    display: inline-block;
    cursor: pointer;
    border: 0px transparent none;
    background-color: lightblue;
    color: blue;
    font-size: .9em;
    font-weight: normal;
    padding: 3px 12px;
    text-decoration: none;
}

.myButtonFritzWhite {
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    display: inline-block;
    cursor: pointer;
    border: 0px transparent none;
    background-color: white;
    color: black;
    font-size: .9em;
    font-weight: normal;
    padding: 3px 12px;
    text-decoration: none;
}

.myButtonFritzMenu {
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    display: inline-block;
    cursor: pointer;
    border: 0px transparent none;
    background-color: #3030ff;
    color: white;
    font-size: .9em;
    font-weight: normal;
    padding-left: 40px;
    padding-top: 3px;
    padding-bottom: 3px;
    width: 150px;
    text-decoration: none;
}


.webButtonLoad {
    border-radius: 2px;
    display: inline-block;
    cursor: pointer;
    border: 0px transparent none;
    background-color: #3388CC;
    color: white;
    font-size: .9em;
    font-weight: normal;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
    text-decoration: none;
}

.webButtonSel {
    border-radius: 2px;
    display: inline-block;
    cursor: pointer;
    border: 0px transparent none;
    background-color: #2A79EF; 
    color: white;
    font-size: .9em;
    font-weight: normal;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
    text-decoration: none;
}

.winButton {
    vertical-align: middle;
    border-radius: 3px;
    display: inline-block;
    cursor: pointer;
    border: 1px solid black;
    background-color: #dfdfff;
    padding-left: 40px;
    padding-top: 3px;
    padding-bottom: 3px;
    color: black;
    font-size: 1em;
    font-weight: normal;
    padding: 3px 12px;
    text-decoration: none;
}

.myButtonSprung {
    -moz-box-shadow: inset 0px 1px 8px 0px lightgreen;
    -webkit-box-shadow: inset 0px 1px 8px 0px lightgreen;
    box-shadow: inset 0px 1px 8px 0px white;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, #ffffff), color-stop(1, lightgreen));
    background: -moz-linear-gradient(top, #ffffff 5%, lightgreen 100%);
    background: -webkit-linear-gradient(top, #ffffff 5%, lightgreen 100%);
    background: -o-linear-gradient(top, #ffffff 5%, lightgreen 100%);
    background: -ms-linear-gradient(top, #ffffff 5%, lightgreen 100%);
    background: linear-gradient(to bottom, #ffffff 5%, lightgreen 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='yellow', endColorstr='lightgreen',GradientType=0);
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    display: inline-block;
    cursor: pointer;
    border: 1px solid darkgoldenrod;
    background-color: yellow;
    color: black;
    font-size: 0.75em;
    font-weight: bold;
    padding: 2px 3px;
    text-decoration: none;
}

    .myButtonSprung:hover {
        background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, greenyellow), color-stop(1, #ffffff));
        background: -moz-linear-gradient(top, greenyellow 5%, #ffffff 100%);
        background: -webkit-linear-gradient(top, greenyellow 5%, #ffffff 100%);
        background: -o-linear-gradient(top, greenyellow 5%, #ffffff 100%);
        background: -ms-linear-gradient(top, greenyellow 5%, #ffffff 100%);
        background: linear-gradient(to bottom, greenyellow 5%, #ffffff 100%);
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='greenyellow', endColorstr='#ffffff',GradientType=0);
        background-color: gold;
    }

    .myButtonSprung:active {
        position: relative;
        top: 1px;
    }

.mySelectSprung {
    -moz-box-shadow: inset 0px 1px 8px 0px gold;
    -webkit-box-shadow: inset 0px 1px 8px 0px gold;
    box-shadow: inset 0px 1px 8px 0px white;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, greenyellow), color-stop(1, white));
    background: -moz-linear-gradient(top, greenyellow 5%, white 100%);
    background: -webkit-linear-gradient(top, greenyellow 5%, white 100%);
    background: -o-linear-gradient(top, greenyellow 5%, white 100%);
    background: -ms-linear-gradient(top, greenyellow 5%, white 100%);
    background: linear-gradient(to bottom, greenyellow 5%, white 100%);
    background-color: greenyellow;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    border: 1px solid darkgoldenrod;
    display: inline-block;
    cursor: pointer;
    color: black;
    font-size: 9pt;
    font-weight: bold;
    padding: 3px 3px;
    text-decoration: none;
}

.dsButton {
    text-decoration: none;
    background: yellow;
    color: black;
    border: 2px solid orange;
    border-radius: 0.5em 0.5em 0.5em 0.5em;
    cursor: pointer;
    padding: 4px 7px;
    margin: 2px 0;
    font-size: 1em;
    font-weight: bold;
    transition: background 0.07s, color 0.07s, border-color 0.5s;
}

    .dsButton:hover {
        border: 3px solid salmon;
        background: skyblue;
        color: black;
    }


/* Ghost-Buttons ----------------------------------------------- */

.ghost_btn {
    text-decoration: none;
    font-size: 120%;
    font-weight: 600;
    color: #444;
    border: 0px hidden #FFF;
    padding: 10px 10px;
    display: inline-block;
    overflow: hidden;
    border-radius: 5px;
    transition: all 0.6s ease 0s;
    cursor: pointer;
}

a.ghost_btn:hover {
    background: #fff;
    color: #000;
}

a.ghost_htrnbtn:hover {
    background: rgba(255, 255, 255, 0.5);
    color: #000;
}

.ghost_small {
    text-decoration: none;
    font-weight: normal;
    color: #3030ff;
    border: 0px hidden #FFF;
    padding: 5px 5px;
    display: inline-block;
    overflow: hidden;
    border-radius: 5px;
    transition: all 0.6s ease 0s;
    cursor: pointer;
}

a.ghost_small:hover {
    background: #fff;
    color: #000;
}

a.ghost_htrnsmall:hover {
    background: rgba(255, 255, 255, 0.5);
    color: #3030ff;
}

.ghost_smallvisit {
    background: green;
    text-decoration: none;
    color: #3030ff;
    border: 0px hidden #FFF;
    padding: 5px 5px;
    font-weight: normal;
    display: inline-block;
    overflow: hidden;
    border-radius: 5px;
    transition: all 0.6s ease 0s;
    cursor: pointer;
    color: white;
}

.ghost_smallred {
    background: indianred;
    text-decoration: none;
    color: #3030ff;
    border: 0px hidden #FFF;
    padding: 5px 5px;
    font-weight: normal;
    display: inline-block;
    overflow: hidden;
    border-radius: 5px;
    transition: all 0.6s ease 0s;
    cursor: pointer;
    color: white;
}

a.ghost_smallred:hover {
    background: red;
    color: #000;
}

a.ghost_htrnsmallred:hover {
    background: rgba(255, 255, 255, 0.5);
    color: white;
}

/* glow button      */

.glow-on-hover {

    width: 295px;
    height: 400px;


    color: black;
    font-size: 0.9em;
    font-weight: bold;
    padding: 3px 12px;
    text-decoration: none;
    background: linear-gradient(MistyRose 15%, Wheat 50%, greenyellow 20%);
    border: 1px solid silver;
    outline: none;
    color: black;
    cursor: pointer;
    position: relative;
    z-index: 0;
    border-radius: 5px;
}

    .glow-on-hover:before {
        content: '';
        background: linear-gradient(45deg, #ff0000, #ff7300, #fffb00, #48ff00, #00ffd5, #002bff, #7a00ff, #ff00c8, #ff0000);
        position: absolute;
        top: -2px;
        left: -2px;
        background-size: 400%;
        z-index: -1;
        filter: blur(5px);
        width: calc(100% + 8px);
        height: calc(100% + 8px);
        animation: glowing 20s linear infinite;
        opacity: 0;
        transition: opacity .3s ease-in-out;
        border-radius: 5px;
    }

    .glow-on-hover:active {
        color: black;
    }

        .glow-on-hover:active:after {
            background: transparent;
        }

    .glow-on-hover:hover:before {
        opacity: 1;
    }

    .glow-on-hover:after {
        z-index: -1;
        content: '';
        position: absolute;
        width: 100%;
        height: 100%;
        background: navajowhite;
        left: 0;
        top: 0;
        border-radius: 5px;
    }

@keyframes glowing {
    0% {
        background-position: 0 0;
    }

    50% {
        background-position: 400% 0;
    }

    100% {
        background-position: 0 0;
    }
}

.button-85 {
    font-size: 1.2em;
    padding: 0.6em 2em;
    border: none;
    outline: none;
    color: white;
    background: darkblue;
    cursor: pointer;
    position: relative;
    z-index: 0;
    border-radius: 10px;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
}

    .button-85:hover {
        color: yellow;
    }

.button-85:before {
    content: "";
    background: linear-gradient( 45deg, #ff0000, #ff7300, #fffb00, #48ff00, #00ffd5, #002bff, #7a00ff, #ff00c8, #ff0000 );
    position: absolute;
    top: -2px;
    left: -2px;
    background-size: 400%;
    z-index: -1;
    filter: blur(5px);
    -webkit-filter: blur(5px);
    width: calc(100% + 4px);
    height: calc(100% + 4px);
    animation: glowing-button-85 20s linear infinite;
    transition: opacity 0.3s ease-in-out;
    border-radius: 10px;
    color: yellow;
}

@keyframes glowing-button-85 {
    0% {
        background-position: 0 0;
    }

    50% {
        background-position: 400% 0;
    }

    100% {
        background-position: 0 0;
    }
}

.button-85:after {
    z-index: -1;
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: #222;
    left: 0;
    top: 0;
    border-radius: 10px;
}


.button-halo {
    font-size: 1.2em;
    padding: 0.6em 2em;
    border: none;
    outline: none;
    color: white;
    background: darkblue;
    cursor: pointer;
    position: relative;
    z-index: 0;
    border-radius: 10px;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
}

    .button-halo:hover {
        color: gold;
        font-size: 1.5em;
        font-weight: bold;
    }

    .button-halo:before {
        content: "";
        background: linear-gradient( 45deg, #ff0000, #ff7300, #fffb00, #48ff00, #00ffd5, #002bff, #7a00ff, #ff00c8, #ff0000 );
        position: absolute;
        top: -2px;
        left: -2px;
        background-size: 400%;
        z-index: -1;
        filter: blur(5px);
        -webkit-filter: blur(5px);
        width: calc(100% + 10px);
        height: calc(100% + 10px);
        animation: glowing-button-85 20s linear infinite;
        transition: opacity 0.3s ease-in-out;
        border-radius: 10px;
        color: yellow;
    }

@keyframes glowing-button-halo {
    0% {
        background-position: 0 0;
    }

    50% {
        background-position: 400% 0;
    }

    100% {
        background-position: 0 0;
    }
}

.button-halo:after {
    z-index: -1;
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: #222;
    left: 0;
    top: 0;
    border-radius: 10px;
}

